<template>
	<div>
		<div id="master-head" :class="[scrollTop>10?'indextitle':'titles',{'navigation-in':showMenu}]">
			<div class="header-info u-flex menu-light u-flex-between">
				<div class="u-flex">
					<a class="logo1" href="index.html">
						<img class="logoImg" src="/logo.png" alt="">
					</a>
					<div id="navigation" class="u-flex u-flex-1" :class="{open:showMenu}">
						<span class="close-btn isMobile" @click="showMenu=!showMenu"></span>
						<ul class="nav">
							<li><a href="index.html">首页</a></li>
							<li><a href="product">产品简介</a></li>
							<li><a href="documentsInstruction">使用手册</a></li>
							<li><a href="download">下载中心</a></li>
							<li>
								<a @click="showChild=!showChild">
									<span style="display: inline-block;" :style="{width: showMenu?'280px':'auto'}">行业观察</span>
									<span class="u-p-l-4">
										<i class="custom-icon custom-icon-arrow-bottom" style="color: rgb(51, 51, 51);font-size: 16px;"></i>
									</span>
								</a>
								<ul class="sub-menu" :class="{show:showChild}">
									<li class="menu-item">
										<a href="information.html">行业资讯</a>
									</li>
								    
									<li class="menu-item">
										<a href="informationGh.html">行业干货</a>
									</li>
								</ul>
							</li>
							<li><a href="about">关于我们</a></li>
						</ul>
						<div style="" class="isMobile hide">
							<div class="loginBtn-box u-m-l-10" style="gap: 12px;">
								<div class="loginBtn-item" @click="onPageJump('login.html')"> 登录 </div>
								<div class="loginBtn-item" style="width: 100px;" @click="onPageJump('register.html')"> 免费注册 </div>
							</div>
						</div>
					</div>
				</div>
				
				<div class="loginBtn-box isWeb " style="gap: 12px;">
					<div class="loginBtn-item" @click="onPageJump('login.html')"> 登录 </div>
					<div class="loginBtn-item" style="width: 100px;" @click="onPageJump('register.html')"> 免费注册 </div>
				</div>
				<div class="menu-toggle-btn show-btn" @click="showMenu=!showMenu">
					<a class="navbar-toggle">
						<div class="burger-lines"></div>
					</a>
				</div>
			</div>
		</div>
	</div>
	
</template>

<script type="text/babel">
	module.exports = {
	props: {
		name: {
			type: String,
			default: ""
		},
		type: {
			type: String,
			default: ''
		},
	},
	data() {
		return {
			scrollTop:0,
			showMenu:false,
			showChild:false,
		};
	},
	created() {},
	mounted() {
		window.addEventListener("scroll", this.scrollToTop,true);
		this.setMenu()
	},
	methods: {
		onPageJump(url,isOpen=false) {
			if(isOpen){
				window.open(url, '_blank');
				return
			}
			window.location.href = url
		},
		// 监听页面元素滚动，改变导航栏选中
		scrollToTop(){
			this.scrollTop = $(document).scrollTop();
		},
		setMenu(){
			//一级栏目停留
			var href = window.location.href;
			var arr = new Array();
			arr = ['index', 'product', 'documentsInstruction', 'download', 'information', 'about'];
			for (var i = 0; i < arr.length; i++) {
				if (href.indexOf(arr[i]) > 0) {
					$(".header-info .nav>li").eq(i).addClass('cur')
					break;
				}
			}
		}
	},
};
</script>

<style scoped>
.titles {
    width: 100%;
    height: 80px;
    background: rgba(255,255,255,.3);
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999
}

.indextitle {
    width: 100%;
    height: 80px;
    background: rgb(255,255,255);
    box-shadow: 0 2px 10px #0003;
    display: flex;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 999
}

.header-info {
	width: 100%;
	padding: 0 16px;
    max-width: 1312px;
    margin: 0 auto;
    position: relative;
}

.logo {
    /*min-width: 75px;*/
    /*max-width: 120px;*/
    /*height: 45px;*/
    font-size: 28px;
    color: #fff;
    font-weight: 400;
    text-align: center;
    line-height: 80px;
    margin-right: 12px
}

.logoImg {
    width: auto;
    height: 48px;
    object-fit: contain;
    cursor: pointer
}

.nav {
    height: 80px;
    display: flex;
    list-style: none;
    margin-left: 36px;
    /* overflow-y: hidden;
    overflow-x: auto */
}

.nav.swiper {
    margin-left: 0;
    margin-right: 0
}

.nav::-webkit-scrollbar {
    width: 0px;
    height: 0px
}

.nav>li {
    width: auto!important;
    height: 80px;
    font-size: 16px;
    color: #333;
    line-height: 81px;
    margin-left: 36px;
    cursor: pointer;
    white-space: nowrap;
	position: relative;
}

.nav>li>a {
    text-decoration: none;
    color: #333
}

.nav>li:hover {
    font-weight: 700;
    opacity: 1
}

.nav>li.cur {
    position: relative;
    color: #4c8fff;
    font-weight: 700;
    opacity: 1!important
}

.nav>li.cur:after {
    content: "";
    width: 20px;
    height: 3px;
    background: #4C8FFF;
    border-radius: 2px;
    position: absolute;
    bottom: 18px;
    left: 50%;
    transform: translate(-50%)
}

.nav>li:nth-child(1) {
    margin-left: 0
}
.sub-menu{
	position:absolute;
	top:70px;
	background: #ffffff;
	-webkit-border-radius: 6px;
	border-radius: 6px;
	-webkit-box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.1);
	box-shadow: 0px 0px 20px 0px rgba(0, 0, 0, 0.1);
	-webkit-transition:all 0.4s ease-in-out; 
	transition:all 0.4s ease-in-out;
	padding: 10px 0;
	min-width:220px;
	-webkit-transform: scaleY(0);
	transform: scaleY(0);
	-webkit-transform-origin: top;
	transform-origin: top;
	opacity: 0;
	visibility:hidden;
	z-index:-100;
}
#navigation:not(.open) .nav>li:hover > .sub-menu{
	opacity:1;
	visibility:visible;
	-webkit-transform: scaleY(1);
	transform: scaleY(1);
	z-index: 1;
}
.sub-menu > li.menu-item{
	padding:8px 20px;
	display:block; 
	transform: all .5s;
}
.sub-menu > li.menu-item:hover{
	background: rgba(47,128,237,0.1);
}
.sub-menu > li.menu-item > a{
	color:#111111;
	/* padding-left: 15px; */
	font-size:15px;
	position:relative;
	-webkit-transition:all 0.4s ease-in-out; 
	transition:all 0.4s ease-in-out;
	display: block;
	font-weight: normal;
	line-height: 1.2;
}


.loginBtn-box {
    margin-left: 60px;
    display: flex;
    gap: 25px;
    align-items: center
}

.loginBtn-box .loginBtn-item {
    width: 70px;
    height: 32px;
    background-color: #fff0;
    border-radius: 6px;
    cursor: pointer;
    text-align: center;
    line-height: 33px
}

.loginBtn-box .loginBtn-item:hover {
    color: #4c8fff
}

.loginBtn-box .loginBtn-item a {
    text-decoration: none
}

.loginBtn-box .loginBtn-item:nth-of-type(2) {
    background-color: #4c8fff;
    color: #fff
}

.loginBtn-box .loginBtn-item:nth-of-type(2):hover {
    opacity: .7
}

.loginBtn-box .infoIcon {
    width: 28px;
    height: 28px;
    cursor: pointer
}

.loginBtn-box .user {
    display: flex;
    gap: 6px;
    align-items: center;
    cursor: pointer
}

.loginBtn-box .user img:nth-child(1) {
    width: 32px;
    height: 32px;
    border: 1px solid rgb(255,255,255);
    border-radius: 6px;
    vertical-align: middle
}

.loginBtn-box .user img:nth-child(2) {
    width: 12px;
    height: 12px;
    vertical-align: middle
}

/* 移动端 */
.menu-toggle-btn{
	display:none;
}
#master-head .navbar-toggle {
    border: 0;
    position: relative;
    padding: 0;
    margin: 0;
    cursor: pointer;
    height: 3em;
	width: 3em;
	font-size: 12px;
	transition: all .2s;
	-webkit-tap-highlight-color: transparent;
	display: block;
}
#master-head::before {
    background: rgba(0,0,0,0.8);
    position: fixed;
    top: 0;
    right: 0;
    content: "";
    display: block;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    bottom: 0;
    opacity: 0;
    visibility: hidden;
    -webkit-transition: all 0.5s ease;
    transition: all 0.5s ease;
}
#master-head.navigation-in::before {
    opacity: 1;
    visibility: visible;
}

.navbar-toggle .burger-lines {
    top: 50%;
    margin-top: -.125em;
}
.navbar-toggle .burger-lines, .navbar-toggle .burger-lines::after, .navbar-toggle .burger-lines::before {
    pointer-events: none;
    display: block;
    content: "";
    width: 100%;
    border-radius: .25em;
    background-color:#111111;
    height: .25em;
    position: absolute;
    -webkit-transform: rotate(0);
    transform: rotate(0);
}
.menu-light .navbar-toggle .burger-lines, .menu-light .navbar-toggle .burger-lines::after, .menu-light .navbar-toggle .burger-lines::before{
	/* background-color:#ffffff; */
	background-color: #666;
}
.navbar-toggle .burger-lines, .navbar-toggle .burger-lines::after, .navbar-toggle .burger-lines::before {
    transition: top .2s .2s,left .1s,transform .2s,background-color .4s .2s;
}
.navbar-toggle .burger-lines::before {
    left: 1em;
    top: 1em;
}
.navbar-toggle .burger-lines::after {
    left: 0;
    top: -1em;
}
.navbar-toggle .burger-lines::after, .navbar-toggle .burger-lines::before {
    width: 2em;
}
.active .navbar-toggle .burger-lines, .active .navbar-toggle .burger-lines::after, .active .navbar-toggle .burger-lines::before {
    transition: background-color .2s,top .2s,left .2s,transform .2s .15s;
}
.active .navbar-toggle .burger-lines {
    background-color: initial;
}
.active .navbar-toggle .burger-lines::after, .active .navbar-toggle .burger-lines::before {
    left: .5em;
    top: 0;
}
.active .navbar-toggle .burger-lines::before {
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
}
.active .navbar-toggle .burger-lines::after {
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
}
#master-head.indextitle .navbar-toggle .burger-lines, #master-head.indextitle .navbar-toggle .burger-lines::after, #master-head.indextitle .navbar-toggle .burger-lines::before{
	background-color: #111111;
}
#master-head.indextitle .active .navbar-toggle .burger-lines{
	background-color: initial;
}




.isMobile{display: none;}
@media only screen and (max-width:1000px) {
	.isMobile{display: block!important;}
	.isWeb{display: none!important;}
	.menu-toggle-btn {
	    display: block!important;
	}
	.titles,.indextitle {
	    height: 60px!important;
	}
	#navigation {
	    background: #fff;
	    position: fixed;
	    right: 0;
	    top: 0;
	    -webkit-box-shadow: -20px 0px 20px 0px rgba(0, 0, 0, 0.1);
	    box-shadow: -20px 0px 20px 0px rgba(0, 0, 0, 0.1);
	    height: 100vh;
	    overflow: auto;
	    z-index: 1;
	    width: 100%;
	    max-width: 360px;
	    display: block;
	    padding: 60px 0 30px;
	    transition: all 0.5s ease-in-out;
	    -webkit-transition: all 0.5s ease-in-out;
	    transform: translateX(120%);
	}
	#navigation.open {
	    opacity: 1;
	    visibility: visible;
	    -webkit-transform: translateX(0);
	    transform: translateX(0);
	    z-index: 1;
		padding-left: 0!important;
	}
	#navigation .nav {
	    padding: 15px 0px 30px;
	    width: 100%;
		height: auto;
	    margin: auto;
		display: block;
	}
	#navigation .nav > li{
		height: auto;
		line-height: normal;
		margin-left: 0;
		display: block;
		border-bottom: 1px solid rgba(0,0,0,0.06);
	}
	#navigation .nav > li.cur::after{
		display: none;
	}
	#navigation .nav > li > a {
	    font-size: 15px;
	    display: block;
	    padding: 12px 30px;
	    line-height: 1.5;
	    text-transform: uppercase;
	}
	#navigation .nav .child-link {
	    display: block;
	    position: absolute;
	    right: 10px;
	    top: 0px;
	    height: 46px;
	    width: 42px;
	    text-align: center;
	    line-height: 46px;
	    cursor: pointer;
	    transition: all 500ms ease-in-out;
	    -webkit-transition: all 500ms ease-in-out;
	    border-radius: 50px;
	    -webkit-border-radius: 50px;
	}
	#navigation .close-btn {
	    height: 32px;
	    width: 32px;
	    position: absolute;
	    left: 30px;
	    top: 20px;
	    cursor: pointer;
	}
	#navigation .close-btn::before, #navigation .close-btn::after {
	    height: 3px;
	    width: 32px;
	    transform: rotate(45deg);
	    -webkit-transform: rotate(45deg);
	    content: "";
	    display: block;
	    background: #111111;
	    border-radius: 4px;
	    top: 15px;
	    position: absolute;
	}
	#navigation .close-btn::after {
	    transform: rotate(-45deg);
	    -webkit-transform: rotate(-45deg);
	}
	.nav>li .sub-menu {
	    position: static;
	    box-shadow: none;
	    background: transparent;
	    padding: 0;
	    transform: none;
	    opacity: 1;
	    visibility: visible;
	    display: none;
	    background: rgba(0,0,0,0.04);
	    border-radius: 0;
	    transition: none;
	    -webkit-transition: none;
	}
	.nav>li .sub-menu.show{
		display: block;
	}
	.nav .sub-menu > li.menu-item{
		padding: 12px 30px;
		border-bottom: 1px solid #eee;
	}
	.nav .sub-menu > li.menu-item:last-child{
		border-bottom:none;
	}
}
</style>